name: nexthour
description: A Video Streaming Flutter application.

# The following line prevents the package from being accidentally published to
# pub.dev using `pub publish`. This is preferred for private packages.
publish_to: 'none' # Remove this line if you wish to publish to pub.dev

# The following defines the version and build number for your application.
# A version number is three numbers separated by dots, like 1.2.43
# followed by an optional build number separated by a +.
# Both the version and the builder number may be overridden in flutter
# build by specifying --build-name and --build-number, respectively.
# In Android, build-name is used as versionName while build-number used as versionCode.
# Read more about Android versioning at https://developer.android.com/studio/publish/versioning
# In iOS, build-name is used as CFBundleShortVersionString while build-number used as CFBundleVersion.
# Read more about iOS versioning at
# https://developer.apple.com/library/archive/documentation/General/Reference/InfoPlistKeyReference/Articles/CoreFoundationKeys.html
version: 3.0.0+3

environment:
  sdk: '>=2.19.6 <3.0.0'

dependencies:
  flutter:
    sdk: flutter

 
  unity_ads_plugin: ^0.3.7
  upi_india: ^3.0.1
  animated_text_kit: ^4.2.2
  audioplayers: ^1.2.0
  facebook_audience_network: ^1.0.1
  flutter_facebook_auth: ^5.0.6
  

 
  chewie: ^1.7.4
  video_player: ^2.8.2
  subtitle_wrapper_package: ^2.1.1
  
  cashfree_pg: ^2.0.12+32
  flutterwave_standard: ^1.0.6
  payu_web_checkout: ^1.0.3
  payhere_mobilesdk_flutter: ^3.0.4
  file_picker: ^5.2.2
  flutter_localization: ^0.1.12
  flutter_translate: ^4.0.3
  loading_overlay: ^0.3.0
  shared_preferences: ^2.0.15
  provider: ^6.0.4
  http: ^0.13.4
  path_provider: ^2.0.11
  sticky_headers: ^0.3.0+2
#  fluttertoast: ^8.1.1.
  fluttertoast: ^8.2.1

  # Old Version but do not upgrade it.
  intro_slider: ^3.0.10

  image_picker: ^0.8.6
  cached_network_image: ^3.3.0
  sqflite: ^2.2.0+3
  syncfusion_flutter_pdfviewer: ^20.3.56
  
  flutter_cache_manager: ^3.3.0
  flutter_secure_storage: ^6.0.0
  carousel_slider: ^4.2.1
 
  
  
  share_plus: ^7.0.2
  launch_review: ^3.0.1
  page_transition: ^2.0.9

  # Old Version but do not upgrade it.
  flutter_downloader: ^1.8.0

  
  
  
  permission_handler: ^10.2.0
 
  font_awesome_flutter: ^10.1.1
  bubble_tab_indicator: ^0.1.6
  firebase_core: ^2.25.4
  firebase_auth: ^4.1.1
  google_sign_in: ^5.4.4
  flutter_braintree: ^3.0.0
  razorpay_flutter: ^1.3.5
  paytm: ^3.0.1
  flutter_paystack: ^1.0.7 
  in_app_update: ^3.0.0
  dio: ^4.0.6
  flutter_inapp_purchase: ^5.4.0
  flutter_rating_bar: ^4.0.1
  dart_ipify: ^1.1.1
  connectivity_plus: ^3.0.2
  connectivity_plus_web: ^1.2.5
  onesignal_flutter: ^3.4.2
  intl: ^0.18.0

  # Old Versions but do not upgrade these.
  flutter_widget_from_html: ^0.8.5
  just_audio: ^0.9.29

  firebase_messaging: ^14.0.4
  http_auth: ^1.0.1
  flutter_credit_card: ^3.0.4
  firebase_analytics: ^10.8.6
  google_mobile_ads: ^2.3.0
  change_app_package_name: ^1.1.0
  flutter_lwa: ^2.0.0
  horizontal_data_table: ^4.1.2+2
  flutter_inappwebview: ^5.7.1
  android_path_provider: ^0.3.0
  device_info_plus: ^9.0.2
  

  # The following adds the Cupertino Icons font to your application.
  # Use with the CupertinoIcons class for iOS style icons.
  cupertino_icons: ^1.0.5
  collection: ^1.16.0
  fwfh_text_style: ^2.23.8
  wakelock_plus: ^1.1.4

dev_dependencies:
  flutter_test:
    sdk: flutter

dependency_overrides:
  intl: ^0.18.0
  webview_flutter: ^2.7.0
# For information on the generic Dart part of this file, see the
# following page: https://dart.dev/tools/pub/pubspec

# The following section is specific to Flutter.
flutter:

  # The following line ensures that the Material Icons font is
  # included with your application, so that you can use the icons in
  # the material Icons class.
  uses-material-design: true

  # To add assets to your application, add an assets section, like this:
  assets:
    - assets/i18n/
    - assets/
    - icons/
  #   - images/a_dot_burr.jpeg
  #   - images/a_dot_ham.jpeg

  # An image asset can refer to one or more resolution-specific "variants", see
  # https://flutter.dev/assets-and-images/#resolution-aware.

  # For details regarding adding assets from package dependencies, see
  # https://flutter.dev/assets-and-images/#from-packages

  # To add custom fonts to your application, add a fonts section here,
  # in this "flutter" section. Each entry in this list should have a
  # "family" key with the font family name, and a "fonts" key with a
  # list giving the asset and other descriptors for the font. For
  # example:
  # fonts:
  #   - family: Schyler
  #     fonts:
  #       - asset: fonts/Schyler-Regular.ttf
  #       - asset: fonts/Schyler-Italic.ttf
  #         style: italic
  #   - family: Trajan Pro
  #     fonts:
  #       - asset: fonts/TrajanPro.ttf
  #       - asset: fonts/TrajanPro_Bold.ttf
  #         weight: 700
  #
  # For details regarding fonts from package dependencies,
  # see https://flutter.dev/custom-fonts/#from-packages
